<?php
/* Metodos de acceso a los campos de la tabla VTA_FormaPago redefinidos por el usuario */
class VTA_FormaPagoBN extends BaseVTA_FormaPagoBN
{
    const ESTADO_ACTIVO   = "A";
    const ESTADO_INACTIVO = "I";

    public static function getArrayEstados( $sEstado = null )
    {
        $a_sEstado = array
        (
            VTA_FormaPagoBN::ESTADO_ACTIVO   => "ACTIVO",
            VTA_FormaPagoBN::ESTADO_INACTIVO => "INACTIVO"
        );
        if( !is_null( $sEstado ) )
        {
            return $a_sEstado[$sEstado];
        }
        return $a_sEstado;
    }

    public function getEstadoDesc()
    {
        return VTA_FormaPagoBN::getArrayEstados( $this->getEstado() );
    }
}
?>